summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/update-flexi-color-picker.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/update-flexi-color-picker.sh b/scripts/update-flexi-color-picker.sh
new file mode 100755
index 0000000..6690def
--- /dev/null
+++ b/scripts/update-flexi-color-picker.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eu
+
+URL_BASE='https://github.com/DavidDurman/FlexiColorPicker/raw/master'
+RES_PATH='data/resources/flexi-color-picker'
+
+download()
+{
+ local rpath="${1}"
+ local lfile="${2}"
+ shift 2
+
+ wget -O "$(dirname "${0}")/../${RES_PATH}/${lfile}" \
+ "${URL_BASE}/${rpath}"
+}
+
+download 'README.md' 'README.md'
+download 'colorpicker.js' 'colorpicker.jsin'
+download 'themes.css' 'themes.cssin'